Skip to navigation

List incident events

Individual Datadog events. Set groupOf to an incident id to inspect its group. Use Get incident for full raw payloads.

Requires the incidents:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Query parameters

limitintegerOptional1-100Defaults to 50
cursorstringOptional<=500 characters
verdictenumOptional
Allowed values:
statusenumOptional
Allowed values:
triageStatusenumOptional
Allowed values:
groupOfstringOptionalformat: "uuid"
Restrict events to the group containing this incident.

Response

List incident events
eventslist of objects
nextCursorstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error